Index: /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.Designer.cs
===================================================================
--- /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.Designer.cs	(revision 4725)
+++ /branches/UserManagement/HeuristicLab.Services.Authentication.TestClient/UserManagement.Designer.cs	(revision 4726)
@@ -30,84 +30,154 @@
         {
             this.components = new System.ComponentModel.Container();
-            System.Windows.Forms.Label isAnonymousLabel;
+            System.Windows.Forms.Label roleNameLabel;
+            System.Windows.Forms.Label descriptionLabel;
+            System.Windows.Forms.Label emailLabel;
+            System.Windows.Forms.Label userNameLabel;
             System.Windows.Forms.Label passwordLabel;
-            System.Windows.Forms.Label passwordAnswerLabel;
             System.Windows.Forms.Label passwordQuestionLabel;
             System.Windows.Forms.Label passwordSaltLabel;
-            System.Windows.Forms.Label emailLabel;
-            System.Windows.Forms.Label roleNameLabel;
-            this.bsUsers = new System.Windows.Forms.BindingSource(this.components);
-            this.bsRoles = new System.Windows.Forms.BindingSource(this.components);
             this.scMain = new System.Windows.Forms.SplitContainer();
+            this.panel1 = new System.Windows.Forms.Panel();
+            this.cbxApplication = new System.Windows.Forms.ComboBox();
+            this.bsApplications = new System.Windows.Forms.BindingSource(this.components);
+            this.label1 = new System.Windows.Forms.Label();
             this.tabControl1 = new System.Windows.Forms.TabControl();
             this.tabPage1 = new System.Windows.Forms.TabPage();
+            this.btnDeleteUser = new System.Windows.Forms.Button();
+            this.btnNewUser = new System.Windows.Forms.Button();
+            this.dgvUsers = new System.Windows.Forms.DataGridView();
+            this.bsUsers = new System.Windows.Forms.BindingSource(this.components);
+            this.tcUser = new System.Windows.Forms.TabControl();
+            this.tabPage3 = new System.Windows.Forms.TabPage();
+            this.passwordSaltTextBox = new System.Windows.Forms.TextBox();
+            this.bsUser = new System.Windows.Forms.BindingSource(this.components);
+            this.passwordQuestionTextBox = new System.Windows.Forms.TextBox();
+            this.passwordTextBox = new System.Windows.Forms.TextBox();
+            this.userNameTextBox = new System.Windows.Forms.TextBox();
+            this.emailTextBox = new System.Windows.Forms.TextBox();
+            this.btnSaveUser = new System.Windows.Forms.Button();
             this.tabPage2 = new System.Windows.Forms.TabPage();
-            this.tabControl2 = new System.Windows.Forms.TabControl();
-            this.tabPage4 = new System.Windows.Forms.TabPage();
-            this.tabControl3 = new System.Windows.Forms.TabControl();
-            this.tabPage5 = new System.Windows.Forms.TabPage();
-            this.tabPage6 = new System.Windows.Forms.TabPage();
-            this.dgvUsers = new System.Windows.Forms.DataGridView();
+            this.btnDeleteRole = new System.Windows.Forms.Button();
+            this.btnNewRole = new System.Windows.Forms.Button();
             this.dgvRoles = new System.Windows.Forms.DataGridView();
-            this.panel1 = new System.Windows.Forms.Panel();
-            this.label1 = new System.Windows.Forms.Label();
-            this.membershipDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.applicationIdDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.userIdDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.userNameDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.loweredUserNameDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.mobileAliasDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.isAnonymousDataGridViewCheckBoxColumn = new System.Windows.Forms.DataGridViewCheckBoxColumn();
-            this.lastActivityDateDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.tabPage3 = new System.Windows.Forms.TabPage();
-            this.isAnonymousCheckBox = new System.Windows.Forms.CheckBox();
-            this.passwordTextBox = new System.Windows.Forms.TextBox();
-            this.passwordAnswerTextBox = new System.Windows.Forms.TextBox();
-            this.passwordQuestionTextBox = new System.Windows.Forms.TextBox();
-            this.passwordSaltTextBox = new System.Windows.Forms.TextBox();
-            this.emailTextBox = new System.Windows.Forms.TextBox();
-            this.dataGridView1 = new System.Windows.Forms.DataGridView();
-            this.roleNameTextBox = new System.Windows.Forms.TextBox();
-            this.dataGridView2 = new System.Windows.Forms.DataGridView();
-            this.roleIdDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.roleNameDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.loweredRoleNameDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.descriptionDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            isAnonymousLabel = new System.Windows.Forms.Label();
+            this.bsRoles = new System.Windows.Forms.BindingSource(this.components);
+            this.tcRole = new System.Windows.Forms.TabControl();
+            this.tpRoleDetail = new System.Windows.Forms.TabPage();
+            this.descriptionTextBox = new System.Windows.Forms.TextBox();
+            this.bsRole = new System.Windows.Forms.BindingSource(this.components);
+            this.btnSaveRole = new System.Windows.Forms.Button();
+            this.roleNameTextBox = new System.Windows.Forms.TextBox();
+            this.tabPage6 = new System.Windows.Forms.TabPage();
+            this.label3 = new System.Windows.Forms.Label();
+            this.label2 = new System.Windows.Forms.Label();
+            this.dgvRoleAssignedUsers = new System.Windows.Forms.DataGridView();
+            this.userNameDataGridViewTextBoxColumn2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.bsRoleUsers = new System.Windows.Forms.BindingSource(this.components);
+            this.btnAddUserToRole = new System.Windows.Forms.Button();
+            this.btnRemoveUserFromRole = new System.Windows.Forms.Button();
+            this.dgvRoleAvailableUsers = new System.Windows.Forms.DataGridView();
+            this.userNameDataGridViewTextBoxColumn1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.bsUserRoles = new System.Windows.Forms.BindingSource(this.components);
+            this.Membership = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.isAnonymousDataGridViewCheckBoxColumn = new System.Windows.Forms.DataGridViewCheckBoxColumn();
+            this.userNameDataGridViewTextBoxColumn = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            roleNameLabel = new System.Windows.Forms.Label();
+            descriptionLabel = new System.Windows.Forms.Label();
+            emailLabel = new System.Windows.Forms.Label();
+            userNameLabel = new System.Windows.Forms.Label();
             passwordLabel = new System.Windows.Forms.Label();
-            passwordAnswerLabel = new System.Windows.Forms.Label();
             passwordQuestionLabel = new System.Windows.Forms.Label();
             passwordSaltLabel = new System.Windows.Forms.Label();
-            emailLabel = new System.Windows.Forms.Label();
-            roleNameLabel = new System.Windows.Forms.Label();
-            ((System.ComponentModel.ISupportInitialize)(this.bsUsers)).BeginInit();
-            ((System.ComponentModel.ISupportInitialize)(this.bsRoles)).BeginInit();
             ((System.ComponentModel.ISupportInitialize)(this.scMain)).BeginInit();
             this.scMain.Panel1.SuspendLayout();
             this.scMain.Panel2.SuspendLayout();
             this.scMain.SuspendLayout();
+            this.panel1.SuspendLayout();
+            ((System.ComponentModel.ISupportInitialize)(this.bsApplications)).BeginInit();
             this.tabControl1.SuspendLayout();
             this.tabPage1.SuspendLayout();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvUsers)).BeginInit();
+            ((System.ComponentModel.ISupportInitialize)(this.bsUsers)).BeginInit();
+            this.tcUser.SuspendLayout();
+            this.tabPage3.SuspendLayout();
+            ((System.ComponentModel.ISupportInitialize)(this.bsUser)).BeginInit();
             this.tabPage2.SuspendLayout();
-            this.tabControl2.SuspendLayout();
-            this.tabPage4.SuspendLayout();
-            this.tabControl3.SuspendLayout();
-            this.tabPage5.SuspendLayout();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvRoles)).BeginInit();
+            ((System.ComponentModel.ISupportInitialize)(this.bsRoles)).BeginInit();
+            this.tcRole.SuspendLayout();
+            this.tpRoleDetail.SuspendLayout();
+            ((System.ComponentModel.ISupportInitialize)(this.bsRole)).BeginInit();
             this.tabPage6.SuspendLayout();
-            ((System.ComponentModel.ISupportInitialize)(this.dgvUsers)).BeginInit();
-            ((System.ComponentModel.ISupportInitialize)(this.dgvRoles)).BeginInit();
-            this.panel1.SuspendLayout();
-            this.tabPage3.SuspendLayout();
-            ((System.ComponentModel.ISupportInitialize)(this.dataGridView1)).BeginInit();
-            ((System.ComponentModel.ISupportInitialize)(this.dataGridView2)).BeginInit();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvRoleAssignedUsers)).BeginInit();
+            ((System.ComponentModel.ISupportInitialize)(this.bsRoleUsers)).BeginInit();
+            ((System.ComponentModel.ISupportInitialize)(this.dgvRoleAvailableUsers)).BeginInit();
+            ((System.ComponentModel.ISupportInitialize)(this.bsUserRoles)).BeginInit();
             this.SuspendLayout();
             // 
-            // bsUsers
-            // 
-            this.bsUsers.DataSource = typeof(HeuristicLab.Services.Authentication.DataTransfer.User);
-            // 
-            // bsRoles
-            // 
-            this.bsRoles.DataSource = typeof(HeuristicLab.Services.Authentication.DataTransfer.Role);
+            // roleNameLabel
+            // 
+            roleNameLabel.AutoSize = true;
+            roleNameLabel.Location = new System.Drawing.Point(12, 22);
+            roleNameLabel.Name = "roleNameLabel";
+            roleNameLabel.Size = new System.Drawing.Size(63, 13);
+            roleNameLabel.TabIndex = 0;
+            roleNameLabel.Text = "Role Name:";
+            // 
+            // descriptionLabel
+            // 
+            descriptionLabel.AutoSize = true;
+            descriptionLabel.Location = new System.Drawing.Point(13, 57);
+            descriptionLabel.Name = "descriptionLabel";
+            descriptionLabel.Size = new System.Drawing.Size(63, 13);
+            descriptionLabel.TabIndex = 3;
+            descriptionLabel.Text = "Description:";
+            // 
+            // emailLabel
+            // 
+            emailLabel.AutoSize = true;
+            emailLabel.Location = new System.Drawing.Point(25, 102);
+            emailLabel.Name = "emailLabel";
+            emailLabel.Size = new System.Drawing.Size(35, 13);
+            emailLabel.TabIndex = 12;
+            emailLabel.Text = "Email:";
+            // 
+            // userNameLabel
+            // 
+            userNameLabel.AutoSize = true;
+            userNameLabel.Location = new System.Drawing.Point(25, 24);
+            userNameLabel.Name = "userNameLabel";
+            userNameLabel.Size = new System.Drawing.Size(63, 13);
+            userNameLabel.TabIndex = 13;
+            userNameLabel.Text = "User Name:";
+            // 
+            // passwordLabel
+            // 
+            passwordLabel.AutoSize = true;
+            passwordLabel.Location = new System.Drawing.Point(25, 47);
+            passwordLabel.Name = "passwordLabel";
+            passwordLabel.Size = new System.Drawing.Size(56, 13);
+            passwordLabel.TabIndex = 14;
+            passwordLabel.Text = "Password:";
+            // 
+            // passwordQuestionLabel
+            // 
+            passwordQuestionLabel.AutoSize = true;
+            passwordQuestionLabel.Location = new System.Drawing.Point(25, 76);
+            passwordQuestionLabel.Name = "passwordQuestionLabel";
+            passwordQuestionLabel.Size = new System.Drawing.Size(101, 13);
+            passwordQuestionLabel.TabIndex = 15;
+            passwordQuestionLabel.Text = "Password Question:";
+            // 
+            // passwordSaltLabel
+            // 
+            passwordSaltLabel.AutoSize = true;
+            passwordSaltLabel.Location = new System.Drawing.Point(25, 130);
+            passwordSaltLabel.Name = "passwordSaltLabel";
+            passwordSaltLabel.Size = new System.Drawing.Size(77, 13);
+            passwordSaltLabel.TabIndex = 16;
+            passwordSaltLabel.Text = "Password Salt:";
             // 
             // scMain
@@ -125,7 +195,43 @@
             // 
             this.scMain.Panel2.Controls.Add(this.tabControl1);
-            this.scMain.Size = new System.Drawing.Size(1100, 556);
-            this.scMain.SplitterDistance = 47;
+            this.scMain.Size = new System.Drawing.Size(1100, 610);
+            this.scMain.SplitterDistance = 51;
             this.scMain.TabIndex = 9;
+            // 
+            // panel1
+            // 
+            this.panel1.Controls.Add(this.cbxApplication);
+            this.panel1.Controls.Add(this.label1);
+            this.panel1.Dock = System.Windows.Forms.DockStyle.Fill;
+            this.panel1.Location = new System.Drawing.Point(0, 0);
+            this.panel1.Name = "panel1";
+            this.panel1.Size = new System.Drawing.Size(1100, 51);
+            this.panel1.TabIndex = 0;
+            // 
+            // cbxApplication
+            // 
+            this.cbxApplication.DataSource = this.bsApplications;
+            this.cbxApplication.DisplayMember = "ApplicationName";
+            this.cbxApplication.FormattingEnabled = true;
+            this.cbxApplication.Location = new System.Drawing.Point(910, 18);
+            this.cbxApplication.Name = "cbxApplication";
+            this.cbxApplication.Size = new System.Drawing.Size(178, 21);
+            this.cbxApplication.TabIndex = 1;
+            this.cbxApplication.SelectedIndexChanged += new System.EventHandler(this.cbxApplication_SelectedIndexChanged);
+            // 
+            // bsApplications
+            // 
+            this.bsApplications.DataSource = typeof(HeuristicLab.Services.Authentication.DataTransfer.Application);
+            // 
+            // label1
+            // 
+            this.label1.Dock = System.Windows.Forms.DockStyle.Fill;
+            this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 14.25F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((byte)(0)));
+            this.label1.Location = new System.Drawing.Point(0, 0);
+            this.label1.Name = "label1";
+            this.label1.Size = new System.Drawing.Size(1100, 51);
+            this.label1.TabIndex = 0;
+            this.label1.Text = "Heuristic Lab User Management";
+            this.label1.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
             // 
             // tabControl1
@@ -137,5 +243,5 @@
             this.tabControl1.Name = "tabControl1";
             this.tabControl1.SelectedIndex = 0;
-            this.tabControl1.Size = new System.Drawing.Size(1100, 505);
+            this.tabControl1.Size = new System.Drawing.Size(1100, 555);
             this.tabControl1.TabIndex = 0;
             // 
